Create A Watchlist

View as MarkdownOpen in Claude
Create a named watchlist by submitting a set of conids.

Request

Watchlist contents.
idstringRequired

Must be a number, digits 0-9 only. Must be unique relative to other watchlist IDs.

namestringRequired

Arbitrary human-readable name to be displayed in TWS and Client Portal.

rowslist of objectsRequired
Array of JSON objects corresponding to watchlist rows, one per instruments.

Response

Watchlist creation successful.
idstring
The submitted watchlist ID.
hashstring
IB's internal hash of the submitted watchlist.
namestring

The submitted human-readable watchlist name.

readOnlyboolean

Indicates whether watchlist is write-restricted. User-created watchlists will always show false.

instrumentslist of any

Array will always be empty. Contents can be queried via GET /iserver/watchlist?id=

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error